WordPress.org

Ready to get started?Download WordPress

Forums

Admin SSL: Upgrading causes endless loop (2 posts)

  1. Burv
    Member
    Posted 4 years ago #

    I recently upgraded my version of WordPress, and it caused Admin SSL to causing an endless loop. These are the steps I went through and the preconditions:

    1. admin-ssl is installed and working working fine under wordpress 2.5 - I can login as administrator, and am redirected to ssl page for login.
    2. https://site and http://site both work, as does https://site/wp-login, where again, the login successful.
    3. I upgraded to wordpress 2.9.2, activated all other plugins, the site was working fine.
    4. While logged in as administrator, clicking the button to activate admin ssl caused firefox to hang, coming back with:

    The page isn't redirecting properly

    Firefox has detected that the server is redirecting the request for this address in a way that will never complete.

    * This problem can sometimes be caused by disabling or refusing to accept cookies.

    Trying the same thing in Safari caused the same thing, but the URL bar showed it flashing between http://site/wp-admin and https://site/wp-admin a number of times before erroring out with:

    Safari can’t open the page.
    Too many redirects occurred trying to open “http://site/wp-admin/”. This might occur if you open a page that is redirected to open another page which then is redirected to open the original page.

    After this, going to the site shows 'Site Admin' and 'Logout' links, so there's something redirecting after login that fails.
    There's also nothing in the webserver logs for this, and again, both https://site and http://site load OK. Could this be a bug in the Admin SSL plugin?

  2. Taipa
    Member
    Posted 4 years ago #

    I just had the same thing happen.
    I ended up having to do into the database to turn off Admin SSL.

    It looks like the plugin is just not compatible with WP 2.9.2.
    On the plugin page, 8 people say it's broken with 2.9.2, and 0 people say it works with 2.9.2

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags